# Uses of Class
org.eclipse.birt.report.model.api.StyleRuleHandle

Packages that use StyleRuleHandle
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")

## Uses of StyleRuleHandle in org.eclipse.birt.report.model.api

Subclasses of StyleRuleHandle in org.eclipse.birt.report.model.api
Modifier and Type
Class
Description
`class`
`HighlightRuleHandle`
Represents a highlight rule in the highlight property of a style.
`class`
`MapRuleHandle`
Represents the handle of map rule.
Methods in org.eclipse.birt.report.model.api with parameters of type StyleRuleHandle
Modifier and Type
Method
Description
`static boolean`
ModuleUtil.`isListStyleRuleValue(StyleRuleHandle rule)`
Determine if the value1 of this map rule condition is a list.